## libxslt 1.1.11

=== debian/changelog ===
libxslt (1.1.11) bora; urgency=low

  * Initially old version that builds on maemo with old libxml2 

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon,  26 Feb 2007 13:30:18 +0000
