=== debian/control ===
Source: libxslt
Section: text
Priority: optional
Maintainer: Johannes Schmid <johannes.schmid@openismus.com>
Standards-Version: 3.7.2.0
Build-Depends: debhelper, libxml2-dev, python2.5-dev, libgcrypt11-dev, autotools-dev, binutils

Package: libxslt1.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libxslt1 (<< 1.1.2-2)
Description: XSLT processing library - runtime library
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package contains libxslt library used by applications for XSLT
 transformations.

Package: libxslt1-dev
Section: libdevel
Architecture: any
Provides: libxslt-dev
Conflicts: libxslt-dev, libxslt0-dev
Depends: libxslt1.1 (= ${Source-Version}), libxml2-dev (>= 2.6.11)
Description: XSLT processing library - development kit
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package contains the development files libxslt.

Package: libxslt1-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libxslt1.1 (= ${Source-Version})
Description: XSLT processing library - debugging symbols
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package provides the debugging symbols for the library and for
 the xsltproc utility provided by the xsltproc package.
 Debugging symbols for the python modules are not available.

Package: xsltproc
Section: text
Architecture: any
Depends: ${shlibs:Depends}
Description: XSLT command line processor
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets.
 .
 This package contains a command line tool that facilitates XSLT
 transformations.

Package: python-libxslt1
Section: python
Architecture: any
Conflicts: python2.3-libxslt1 (<< 1.1.17-2), python2.4-libxslt1 (<< 1.1.17-2)
Replaces: python2.3-libxslt1 (<< 1.1.17-2), python2.4-libxslt1 (<< 1.1.17-2)
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libxml2
Description:  Python bindings for libxslt1
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs.
