=== debian/control ===
Source: libxslt
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@debian.org>
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 9),
 libxml2-dev (>= 2.6.27),
 python-all-dev (>= 2.6.6-3~),
 python-all-dbg,
 libgcrypt11-dev,
 dh-autoreconf,
 binutils (>= 2.14.90.0.7),
 perl
Homepage: http://xmlsoft.org/xslt/
Vcs-Git: git://git.debian.org/debian-xml-sgml/libxslt.git
Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxslt.git

Package: libxslt1.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT 1.0 processing library - runtime library
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the libxslt library used by applications for XSLT
 transformations.

Package: libxslt1-dev
Section: libdevel
Architecture: any
Provides: libxslt-dev
Depends:
 libxslt1.1 (= ${binary:Version}),
 libxml2-dev (>= 2.6.26),
 ${misc:Depends}
Description: XSLT 1.0 processing library - development kit
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the development files for libxslt.

Package: libxslt1-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libxslt1.1 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: XSLT 1.0 processing library - debugging symbols
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package provides the debugging symbols for the library and for
 the xsltproc utility provided by the xsltproc package.
 Debugging symbols for the Python modules are not available.

Package: xsltproc
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XSLT 1.0 command line processor
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT version 1.0 stylesheets.
 .
 This package contains a command line tool that facilitates XSLT
 transformations.

Package: python-libxslt1
Section: python
Architecture: any
Provides: ${python:Provides}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-libxml2
Description: Python bindings for libxslt1
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs.

Package: python-libxslt1-dbg
Section: debug
Architecture: any
Priority: extra
Provides: ${python:Provides}
Depends:
 python-dbg,
 python-libxslt1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 python-libxml2-dbg
Description: Python bindings for libxslt1 (debug extension)
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs for use with the Python debug interpreter.
