## libxslt 1.1.27

=== debian/changelog ===
libxslt (1.1.27-1ubuntu1) raring; urgency=low

  * Fix python multiarch include issues to fix an FTBFS.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 10 Jan 2013 07:58:53 -0600

libxslt (1.1.27-1) experimental; urgency=low

  * New upstream release (Closes: #448205, #683353)
  * debian/rules:
    + Add hardening flags for dbg package in LDFLAGS (Closes: #681163)
  * debian/control:
    - std-ver: 3.9.3 -> 3.9.4, no change required.

 -- Aron Xu <aron@debian.org>  Wed, 03 Oct 2012 00:22:53 +0800
