## libxslt 1.1.28

=== debian/changelog ===
libxslt (1.1.28-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add 0009-Fix-for-type-confusion-in-preprocessing-attributes.patch patch.
    CVE-2015-7995: Type confusion in preprocessing attributes leading to
    denial of service. (Closes: #802971)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 30 Oct 2015 08:46:43 +0100

libxslt (1.1.28-2) unstable; urgency=low

  * debian/patches/000[4-8].patch:
    Upstream post release patches.

 -- Aron Xu <aron@debian.org>  Thu, 01 Aug 2013 13:55:48 +0800

libxslt (1.1.28-1) experimental; urgency=low

  [ YunQiang Su ]
  * Imported Upstream version 1.1.28
  * Workaround xsltMaxVars version number (Closes: #698955)
  * Refresh patches
  * Correct email address of YunQiang Su
  * Mark libxslt1-dev as Multi-Arch: same (Closes: #689091)

  [ Aron Xu ]
  * Use canonical VCS-* fields.
  * Remove unused override: python-libxslt1-dbg: hardening-no-relro

 -- Aron Xu <happyaron.xu@gmail.com>  Thu, 01 Aug 2013 13:45:01 +0800
