=== debian/watch ===
version=3
ftp://xmlsoft.org/libxslt/libxslt-([\d\.]+)\.tar\.gz
