## libxslt 1.1.29

=== debian/changelog ===
libxslt (1.1.29-5) unstable; urgency=medium

  * Team upload.
  * Refresh patches using Gbp Pq.
  * Add patch from upstream to fix FTBFS in ia64.  Closes: #881818
  * Declare that libxslt can be built without root, R³:no.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 15 Nov 2017 16:27:00 +0100

libxslt (1.1.29-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add patch from upstream to fix FTBFS with glibc 2.26.  Closes: #880038

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Nov 2017 13:36:40 +0100

libxslt (1.1.29-3) experimental; urgency=medium

  * Team upload.
  * d/upstream/signing-key.asc: add Daniel Veillard's gpg key to allow
    cryptographic verification of the upstream tarballs.
  * d/patches/0003-fix-typo.patch: forward to upstream.
  * d/control: Bump Standards-Version to 4.1.1:
    + Move packages from the deprecated section:extra to section:optional.
  * d/rules:
    + Use /usr/share/dpkg/architecture.mk instead of calling dpkg-architecture.
    + Let dh_auto_configure deal with buildflags from the environment, and
      use dpkg-buildflags to set -Wl,--as-needed.
    + Move xsltconfig.h to a multi-arch location.  Closes: #834714
      Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> for the initial patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Oct 2017 15:04:16 +0200

libxslt (1.1.29-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends on rename, fixes FTBFS, thanks Adrian Bunk (Closes: #876601)
  * Build-Depends on libgcrypt20-dev instead of transitional libgcrypt11-dev,
    thanks Andreas Metzler (Closes: #864120)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #841384)
    + Drop unsatisfiable binutils dependency: Always satisfied natively even
      in wheezy.
    + Use cross-compatible python Build-Depends.
    + Annotate Build-Depends: perl with :any.
    + Do not pass CC=cc to configure.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 13 Oct 2017 01:03:29 +0200

libxslt (1.1.29-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Check for integer overflow in xsltAddTextString (CVE-2017-5029)
    (Closes: #858546)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Mar 2017 19:44:01 +0200

libxslt (1.1.29-2) unstable; urgency=high

  * Team upload.
  * Bump debhelper compat level to 10.
    + --parallel is now default
    + --with autoreconf is now default
  * Add patch from upstream to fix a heap overread which could cause remote
    arbitrary code execution or denial of service.
    Closes: #842570 — CVE-2016-4738

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Oct 2016 14:01:00 +0000

libxslt (1.1.29-1) unstable; urgency=medium

  * Imported Upstream version 1.1.29 (Closes: #826446)
  * Remove patches which have been merged upstream
  * Remove plugin option in xslt-config as it has arch-dep string
  * Link libxslt with libm (Closes: #801989, #721602)
  * Add --parallel in debian/rules.

 -- YunQiang Su <syq@debian.org>  Wed, 17 Aug 2016 15:30:11 +0800

libxslt (1.1.28-4) unstable; urgency=medium

  * Team upload.
  * Replace the SOURCE_DATE_EPOCH patch with the one actually committed upstream

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 20 May 2016 09:33:00 +0000

libxslt (1.1.28-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Upload to unstable.
  * Bump std-version to 3.9.8.
  * Acknowledge previous NMU, thanks carnil!
  * Add dh-python to build-depends

  [ Jérémy Bobbio ]
  * Add a patch from upstream to make generate-id() provide stable IDs.
    Thanks to Daniel Veillard.  Closes: #823857

  [ Dhole ]
  * Honour SOURCE_DATE_EPOCH when embedding timestamps in docs.  Closes: #791815

  [ Mattia Rizzolo ]
  * Run wrap-and-sort.
  * Use HTTPS in Vcs-* fields.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 May 2016 20:18:36 +0000
