=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: libxslt
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Uploaders:
+ Aron Xu <aron@debian.org>,
+ YunQiang Su <syq@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
+ dh-python,
+ libgcrypt20-dev,
+ libpython-all-dbg,
+ libpython-all-dev (>= 2.6.6-3~),
  libxml2-dev (>= 2.6.27),
- python-all-dev (>= 2.6.6-3~),
- python-all-dbg,
- libgcrypt11-dev,
- dh-autoreconf,
- binutils (>= 2.14.90.0.7),
- perl
+ perl:any,
+ python-all-dev:any (>= 2.6.6-3~),
+ rename,
+Standards-Version: 4.1.1
+Rules-Requires-Root: no
 Homepage: http://xmlsoft.org/xslt/
-Vcs-Git: git://git.debian.org/debian-xml-sgml/libxslt.git
-Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxslt.git
+Vcs-Git: https://anonscm.debian.org/git/debian-xml-sgml/libxslt.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-xml-sgml/libxslt.git
 
 Package: libxslt1.1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -38,11 +42,13 @@
 Package: libxslt1-dev
 Section: libdevel
 Architecture: any
-Provides: libxslt-dev
+Multi-Arch: same
+Provides:
+ libxslt-dev,
 Depends:
+ libxml2-dev (>= 2.6.26),
  libxslt1.1 (= ${binary:Version}),
- libxml2-dev (>= 2.6.26),
- ${misc:Depends}
+ ${misc:Depends},
 Description: XSLT 1.0 processing library - development kit
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
@@ -53,11 +59,10 @@
 
 Package: libxslt1-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends:
  libxslt1.1 (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends},
 Multi-Arch: same
 Description: XSLT 1.0 processing library - debugging symbols
  XSLT is an XML language for defining transformations of XML files from
@@ -73,8 +78,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
 Description: XSLT 1.0 command line processor
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
@@ -86,12 +91,13 @@
 Package: python-libxslt1
 Section: python
 Architecture: any
-Provides: ${python:Provides}
+Provides:
+ ${python:Provides},
 Depends:
- ${shlibs:Depends},
+ python-libxml2,
  ${misc:Depends},
  ${python:Depends},
- python-libxml2
+ ${shlibs:Depends},
 Description: Python bindings for libxslt1
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
@@ -104,14 +110,14 @@
 Package: python-libxslt1-dbg
 Section: debug
 Architecture: any
-Priority: extra
-Provides: ${python:Provides}
+Provides:
+ ${python:Provides},
 Depends:
  python-dbg,
+ python-libxml2-dbg,
  python-libxslt1 (= ${binary:Version}),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- python-libxml2-dbg
 Description: Python bindings for libxslt1 (debug extension)
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
