=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,12 @@
 # The current default version of python
 PYVER=$(shell pyversions -d)
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
-CFLAGS = `dpkg-buildflags --get CFLAGS` -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS` -Wl,--as-needed
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
-
-CONFIGURE_FLAGS := --with-history CC="$(CC)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"           LDFLAGS="$(LDFLAGS)" --cache-file="$(CURDIR)/builddir/config.cache"
+CONFIGURE_FLAGS := --with-history --cache-file="$(CURDIR)/builddir/config.cache"
 
 TARGETS := main $(PYVERS) $(PYVERS:%=%-dbg)
 
@@ -49,6 +47,13 @@
 doinstall-main:
 	dh_auto_install --builddirectory=builddir/main
 
+	# https://lintian.debian.org/tags/non-empty-dependency_libs-in-la-file.html
+	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+
+	# Move arch-specific headers into /usr/include/<triplet>/libxslt
+	mkdir -pv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
+	mv -v debian/tmp/usr/include/libxslt/xsltconfig.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
+
 	# Properly install documentation in /usr/share/doc/libxslt1-dev
 	install -d debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
 	install -m 644 \
@@ -64,7 +69,6 @@
 		doc/tutorial2 debian/tmp/usr/share/doc/libxslt1-dev
 	cp -a \
 		doc/EXSLT/html debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
-	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 doinstall-python%-dbg:
 	$(MAKE) -C builddir/main/python$*-dbg DESTDIR=$(CURDIR)/debian/tmp-dbg install-pythonLTLIBRARIES
@@ -100,4 +104,4 @@
 	dh_makeshlibs -a -V 'libxslt1.1 (>= 1.1.26)' -- -c4
 
 %:
-	dh $@ --with autoreconf,python2
+	dh $@ --with python2
